/* TOP CREATOR HEADER START */
.top-creators-header {
    display: flex;
    justify-content: space-between;
}
.top-creator-header__title {
    font-family: 'Work Sans', sans-serif;
    font-size: 38px;
    font-weight: 600;
}
.top-creator-header__description {
    font-family: 'Work Sans', sans-serif;
    font-size: 22px;
    font-weight: 400;
    margin-top: 10px;
}
.top-creators-header__button {
    display: flex;
    align-items: end;
}

.btn-outline {
    background-color: transparent;
    color: #fff;
    border: 2px solid #a259ff;
    padding: 20px 50px;
    font-family: 'Work Sans', sans-serif;
    font-size: 16px;
    font-weight: 600;
    border-radius: 20px;
    cursor: pointer;
    transition: all 0.3s;
}

.btn-outline.mobile {
    display: none;
    margin-top: 40px;
    width: 100%;
}

.btn-outline .fa-rocket {
    margin-right: 10px;
    height: 10px;
    color: #a259ff;
}

/* TOP CREATOR HEADER END */

/* TOP CREATOR CARDS START */
.top-creators-cards {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 30px;
    margin-top: 60px;
}

.top-creator-card {
    background-color: #3b3b3b;
    border-radius: 20px;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    transition: all 0.3s;
    position: relative;
}
.top-creator-card__avatar {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    margin-bottom: 20px;
    display: block;
}
.top-creator-card__name {
    font-family: 'Work Sans', sans-serif;
    font-size: 22px;
    font-weight: 600;
    text-align: center;
}
.top-creator-card__description {
    font-family: 'Space Mono', sans-serif;
    font-size: 16px;
    font-weight: 400;
    text-align: center;
    margin-top: 10px;
}
.top-creator-card__price-title {
    color: #858584;
}
.top-creator-card__number {
    position: absolute;
    width: 30px;
    height: 30px;
    font-size: 16px;
    font-weight: 400;
    color: #858584;
    top: 18px;
    left: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #2b2b2b;
    padding: 10px;
    border-radius: 50%;
}

/* RESPONSIVE DESIGN */

@media screen and (max-width: 1200px) {
    .top-creator-header__title {
        font-size: 32px;
    }

    .top-creator-header__description {
        font-size: 18px;
    }

    .btn-outline {
        padding: 15px 40px;
        font-size: 14px;
    }

    .top-creators-cards {
        grid-template-columns: repeat(3, 1fr);
    }

    .top-creator-card {
        padding: 20px 10px;
    }

    .top-creator-card__avatar {
        width: 80px;
        height: 80px;
    }

    .top-creator-card__name {
        font-size: 18px;
    }
}

@media screen and (max-width: 992px) {
    .top-creator-header__description {
        max-width: 400px;
    }
    .top-creators-cards {
        grid-template-columns: repeat(2, 1fr);
    }

    .top-creator-card {
        padding: 20px 10px;
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;
        gap: 20px;
    }
    .top-creator-card__avatar {
        width: 60px;
        height: 60px;
        margin: 0;
    }
    .top-creator-card__name {
        text-align: left;
    }
    .top-creator-card__description {
        text-align: left;
        margin: 0;
    }
    .top-creator-card__number {
        top: 10px;
        left: 10px;
    }
}

@media screen and (max-width: 768px) {
    .btn-outline.desktop {
        display: none;
    }
    .top-creators-cards {
        grid-template-columns: repeat(1, 1fr);
    }

    .top-creator-card {
        padding: 20px 10px;
    }

    .top-creator-card__avatar {
        width: 80px;
        height: 80px;
    }

    .top-creator-card__name {
        font-size: 18px;
    }

    .btn-outline.mobile {
        display: block;
    }
}

/* TOP CREATOR CARDS END */
